Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Damn autogenerated, get out of the way, I can't see the real changes I've made
authormquinson <mquinson@48e7efb5-ca39-0410-a469-dd3cf9ba447f>
Mon, 6 Aug 2007 19:45:29 +0000 (19:45 +0000)
committermquinson <mquinson@48e7efb5-ca39-0410-a469-dd3cf9ba447f>
Mon, 6 Aug 2007 19:45:29 +0000 (19:45 +0000)
git-svn-id: svn+ssh://scm.gforge.inria.fr/svn/simgrid/simgrid/trunk@4008 48e7efb5-ca39-0410-a469-dd3cf9ba447f

32 files changed:
Makefile.in
configure
doc/Makefile.in
examples/Makefile.in
examples/amok/Makefile.in
examples/amok/bandwidth/Makefile.in
examples/amok/saturate/Makefile.in
examples/gras/Makefile.in
examples/gras/all2all/Makefile.in
examples/gras/chrono/Makefile.in
examples/gras/mmrpc/Makefile.in
examples/gras/mutual_exclusion/simple_token/Makefile.in
examples/gras/ping/Makefile.in
examples/gras/ping/ping_server.c
examples/gras/pmm/Makefile.in
examples/gras/rpc/Makefile.in
examples/gras/spawn/Makefile.in
examples/gras/synchro/Makefile.in
examples/gras/timer/Makefile.in
examples/java/Makefile.in
examples/java/basic/Makefile.in
examples/java/comm_time/Makefile.in
examples/java/ping_pong/Makefile.in
examples/java/suspend/Makefile.in
examples/msg/Makefile.in
examples/simdag/Makefile.in
include/Makefile.in
src/Makefile.in
testsuite/Makefile.in
tools/Makefile.in
tools/gras/Makefile.in
tools/tesh/Makefile.in

index 79e5a69..a5ff6e5 100644 (file)
@@ -90,7 +90,7 @@ distcleancheck_listfiles = find . -type f -print
 ACLOCAL = aclocal -I acmacro
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = aclocal -I acmacro
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index ae30ee8..3dc84d4 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
 #! /bin/sh
-# From configure.ac Revision: 1.175 .
+# From configure.ac Revision: 1.180 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61 for simgrid 3.3-cvs.
 #
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61 for simgrid 3.3-cvs.
 #
@@ -885,6 +885,8 @@ LIBTOOL
 LIBOBJS
 GRAS_ARCH_32_BITS_TRUE
 GRAS_ARCH_32_BITS_FALSE
 LIBOBJS
 GRAS_ARCH_32_BITS_TRUE
 GRAS_ARCH_32_BITS_FALSE
+CONTEXT_THREADS_TRUE
+CONTEXT_THREADS_FALSE
 PTH_STACK_GROWTH
 pth_skaddr_makecontext
 pth_sksize_makecontext
 PTH_STACK_GROWTH
 pth_skaddr_makecontext
 pth_sksize_makecontext
@@ -893,7 +895,6 @@ HAVE_GTNETS_FALSE
 HAVE_SDP_TRUE
 HAVE_SDP_FALSE
 SIMGRID_DEP
 HAVE_SDP_TRUE
 HAVE_SDP_FALSE
 SIMGRID_DEP
-AM_CFLAGS
 GRAS_DEP
 GRAMINE_MODE_TRUE
 GRAMINE_MODE_FALSE
 GRAS_DEP
 GRAMINE_MODE_TRUE
 GRAMINE_MODE_FALSE
@@ -901,6 +902,7 @@ MAINTAINER_MODE_TRUE
 MAINTAINER_MODE_FALSE
 MAINT
 LD_DYNAMIC_FLAGS
 MAINTAINER_MODE_FALSE
 MAINT
 LD_DYNAMIC_FLAGS
+AM_CPPFLAGS
 abs_builddir
 abs_srcdir
 abs_top_builddir
 abs_builddir
 abs_srcdir
 abs_top_builddir
@@ -4588,7 +4590,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4591 "configure"' > conftest.$ac_ext
+  echo '#line 4593 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -7350,11 +7352,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7353: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7355: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7357: \$? = $ac_status" >&5
+   echo "$as_me:7359: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7618,11 +7620,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7621: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7623: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7625: \$? = $ac_status" >&5
+   echo "$as_me:7627: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7722,11 +7724,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7725: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7727: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7729: \$? = $ac_status" >&5
+   echo "$as_me:7731: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10019,7 +10021,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10022 "configure"
+#line 10024 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10119,7 +10121,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10122 "configure"
+#line 10124 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12455,11 +12457,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12458: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12460: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12462: \$? = $ac_status" >&5
+   echo "$as_me:12464: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -12559,11 +12561,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12562: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12564: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:12566: \$? = $ac_status" >&5
+   echo "$as_me:12568: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14120,11 +14122,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14123: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14125: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14127: \$? = $ac_status" >&5
+   echo "$as_me:14129: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14224,11 +14226,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14227: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14229: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14231: \$? = $ac_status" >&5
+   echo "$as_me:14233: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16411,11 +16413,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16414: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16416: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16418: \$? = $ac_status" >&5
+   echo "$as_me:16420: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16679,11 +16681,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16682: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16684: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16686: \$? = $ac_status" >&5
+   echo "$as_me:16688: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16783,11 +16785,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16786: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16788: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16790: \$? = $ac_status" >&5
+   echo "$as_me:16792: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -24820,9 +24822,17 @@ cat >>confdefs.h <<\_ACEOF
 #define CONTEXT_THREADS 1
 _ACEOF
 
 #define CONTEXT_THREADS 1
 _ACEOF
 
-  { echo "$as_me:$LINENO: result: You have pthreads. Let's use them." >&5
-echo "${ECHO_T}You have pthreads. Let's use them." >&6; }
+  { echo "$as_me:$LINENO: result: You have pthreads and requested for them. Fine." >&5
+echo "${ECHO_T}You have pthreads and requested for them. Fine." >&6; }
 fi
 fi
+ if test "x$with_context" != xucontext; then
+  CONTEXT_THREADS_TRUE=
+  CONTEXT_THREADS_FALSE='#'
+else
+  CONTEXT_THREADS_TRUE='#'
+  CONTEXT_THREADS_FALSE=
+fi
+
 
 
 if test "x$with_context" = "xucontext" ; then
 
 
 if test "x$with_context" = "xucontext" ; then
@@ -25266,7 +25276,6 @@ if test xpthread=xyes ; then
   fi
 fi
 
   fi
 fi
 
-
 #########################################
 ## Build optional modules (gtnets)
 ##
 #########################################
 ## Build optional modules (gtnets)
 ##
@@ -25353,8 +25362,7 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
   if test "x$gtnets" = xyes ; then
 
 
   if test "x$gtnets" = xyes ; then
-    CPPFLAGS+=$GTNETS_CPPFLAGS
-    LDFLAGS+=$GTNETS_LDFLAGS
+    AM_CPPFLAGS="$AM_CPPFLAGS $GTNETS_CPPFLAGS"
     SIMGRID_DEP="$SIMGRID_DEP $GTNETS_LDFLAGS"
     { echo "$as_me:$LINENO: result: Found working gtnets library." >&5
 echo "${ECHO_T}Found working gtnets library." >&6; }
     SIMGRID_DEP="$SIMGRID_DEP $GTNETS_LDFLAGS"
     { echo "$as_me:$LINENO: result: Found working gtnets library." >&5
 echo "${ECHO_T}Found working gtnets library." >&6; }
@@ -25617,7 +25625,7 @@ fi
      csdp=no;
   fi
   if test "x$csdp" = xyes; then
      csdp=no;
   fi
   if test "x$csdp" = xyes; then
-    CPPFLAGS+=$CSDP_CPPFLAGS
+    AM_CPPFLAGS="$AM_CPPFLAGS $CSDP_CPPFLAGS"
     SIMGRID_DEP="$SIMGRID_DEP $CSDP_LDFLAGS"
     { echo "$as_me:$LINENO: result: Found working sdp library." >&5
 echo "${ECHO_T}Found working sdp library." >&6; }
     SIMGRID_DEP="$SIMGRID_DEP $CSDP_LDFLAGS"
     { echo "$as_me:$LINENO: result: Found working sdp library." >&5
 echo "${ECHO_T}Found working sdp library." >&6; }
@@ -25777,8 +25785,7 @@ fi
 echo $ECHO_N "checking for extra dependencies of libgras... $ECHO_C" >&6; }
 case $host_os in
   *mingw* ) GRAS_DEP="$GRAS_DEP -lws2_32" ; SIMGRID_DEP="$SIMGRID_DEP -lws2_32";
 echo $ECHO_N "checking for extra dependencies of libgras... $ECHO_C" >&6; }
 case $host_os in
   *mingw* ) GRAS_DEP="$GRAS_DEP -lws2_32" ; SIMGRID_DEP="$SIMGRID_DEP -lws2_32";
-            AM_CFLAGS=-DDLL_EXPORT
-
+            AM_CPPFLAGS="$AM_CPPFLAGS -DDLL_EXPORT"
             cat >>confdefs.h <<\_ACEOF
 #define CONTEXT_THREADS 1
 _ACEOF
             cat >>confdefs.h <<\_ACEOF
 #define CONTEXT_THREADS 1
 _ACEOF
@@ -25959,6 +25966,7 @@ echo "${ECHO_T}$optCFLAGS" >&6; }
 
 
 
 
 
 
+
   { echo "$as_me:$LINENO: result: " >&5
 echo "${ECHO_T}" >&6; }
   { echo "$as_me:$LINENO: result: ${T_MD}Check for Java bindings...${T_ME}" >&5
   { echo "$as_me:$LINENO: result: " >&5
 echo "${ECHO_T}" >&6; }
   { echo "$as_me:$LINENO: result: ${T_MD}Check for Java bindings...${T_ME}" >&5
@@ -26960,6 +26968,13 @@ echo "$as_me: error: conditional \"GRAS_ARCH_32_BITS\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${CONTEXT_THREADS_TRUE}" && test -z "${CONTEXT_THREADS_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"CONTEXT_THREADS\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"CONTEXT_THREADS\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${HAVE_GTNETS_TRUE}" && test -z "${HAVE_GTNETS_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"HAVE_GTNETS\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
 if test -z "${HAVE_GTNETS_TRUE}" && test -z "${HAVE_GTNETS_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"HAVE_GTNETS\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -27728,6 +27743,8 @@ LIBTOOL!$LIBTOOL$ac_delim
 LIBOBJS!$LIBOBJS$ac_delim
 GRAS_ARCH_32_BITS_TRUE!$GRAS_ARCH_32_BITS_TRUE$ac_delim
 GRAS_ARCH_32_BITS_FALSE!$GRAS_ARCH_32_BITS_FALSE$ac_delim
 LIBOBJS!$LIBOBJS$ac_delim
 GRAS_ARCH_32_BITS_TRUE!$GRAS_ARCH_32_BITS_TRUE$ac_delim
 GRAS_ARCH_32_BITS_FALSE!$GRAS_ARCH_32_BITS_FALSE$ac_delim
+CONTEXT_THREADS_TRUE!$CONTEXT_THREADS_TRUE$ac_delim
+CONTEXT_THREADS_FALSE!$CONTEXT_THREADS_FALSE$ac_delim
 PTH_STACK_GROWTH!$PTH_STACK_GROWTH$ac_delim
 pth_skaddr_makecontext!$pth_skaddr_makecontext$ac_delim
 pth_sksize_makecontext!$pth_sksize_makecontext$ac_delim
 PTH_STACK_GROWTH!$PTH_STACK_GROWTH$ac_delim
 pth_skaddr_makecontext!$pth_skaddr_makecontext$ac_delim
 pth_sksize_makecontext!$pth_sksize_makecontext$ac_delim
@@ -27736,7 +27753,6 @@ HAVE_GTNETS_FALSE!$HAVE_GTNETS_FALSE$ac_delim
 HAVE_SDP_TRUE!$HAVE_SDP_TRUE$ac_delim
 HAVE_SDP_FALSE!$HAVE_SDP_FALSE$ac_delim
 SIMGRID_DEP!$SIMGRID_DEP$ac_delim
 HAVE_SDP_TRUE!$HAVE_SDP_TRUE$ac_delim
 HAVE_SDP_FALSE!$HAVE_SDP_FALSE$ac_delim
 SIMGRID_DEP!$SIMGRID_DEP$ac_delim
-AM_CFLAGS!$AM_CFLAGS$ac_delim
 GRAS_DEP!$GRAS_DEP$ac_delim
 GRAMINE_MODE_TRUE!$GRAMINE_MODE_TRUE$ac_delim
 GRAMINE_MODE_FALSE!$GRAMINE_MODE_FALSE$ac_delim
 GRAS_DEP!$GRAS_DEP$ac_delim
 GRAMINE_MODE_TRUE!$GRAMINE_MODE_TRUE$ac_delim
 GRAMINE_MODE_FALSE!$GRAMINE_MODE_FALSE$ac_delim
@@ -27744,6 +27760,7 @@ MAINTAINER_MODE_TRUE!$MAINTAINER_MODE_TRUE$ac_delim
 MAINTAINER_MODE_FALSE!$MAINTAINER_MODE_FALSE$ac_delim
 MAINT!$MAINT$ac_delim
 LD_DYNAMIC_FLAGS!$LD_DYNAMIC_FLAGS$ac_delim
 MAINTAINER_MODE_FALSE!$MAINTAINER_MODE_FALSE$ac_delim
 MAINT!$MAINT$ac_delim
 LD_DYNAMIC_FLAGS!$LD_DYNAMIC_FLAGS$ac_delim
+AM_CPPFLAGS!$AM_CPPFLAGS$ac_delim
 abs_builddir!$abs_builddir$ac_delim
 abs_srcdir!$abs_srcdir$ac_delim
 abs_top_builddir!$abs_top_builddir$ac_delim
 abs_builddir!$abs_builddir$ac_delim
 abs_srcdir!$abs_srcdir$ac_delim
 abs_top_builddir!$abs_top_builddir$ac_delim
@@ -27769,7 +27786,7 @@ build_id!$build_id$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 55; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 57; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
index d2f5ab8..7ebe8b6 100644 (file)
@@ -60,7 +60,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index 8e883db..4473a51 100644 (file)
@@ -73,7 +73,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index 3876b11..031430f 100644 (file)
@@ -72,7 +72,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index 343c5fa..16d7da7 100644 (file)
@@ -94,7 +94,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = -g
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
@@ -226,6 +226,7 @@ target_vendor = @target_vendor@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 INCLUDES = -I$(top_srcdir)/include
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 INCLUDES = -I$(top_srcdir)/include
+AM_CFLAGS = -g
 TESTS = test_rl test_sg
 EXTRA_DIST = bandwidth.xml $(TESTS)
 bandwidth_simulator_SOURCES = _bandwidth_simulator.c bandwidth.c
 TESTS = test_rl test_sg
 EXTRA_DIST = bandwidth.xml $(TESTS)
 bandwidth_simulator_SOURCES = _bandwidth_simulator.c bandwidth.c
index 2e01dfc..d7f357f 100644 (file)
@@ -94,7 +94,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = -g
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
@@ -226,6 +226,7 @@ target_vendor = @target_vendor@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 INCLUDES = -I$(top_srcdir)/include
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 INCLUDES = -I$(top_srcdir)/include
+AM_CFLAGS = -g
 TESTS = test_rl test_sg
 EXTRA_DIST = saturate.xml $(TESTS)
 saturate_simulator_SOURCES = _saturate_simulator.c saturate.c
 TESTS = test_rl test_sg
 EXTRA_DIST = saturate.xml $(TESTS)
 saturate_simulator_SOURCES = _saturate_simulator.c saturate.c
index 5d20896..6eda411 100644 (file)
@@ -72,7 +72,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index 5c9c0f6..3e8d995 100644 (file)
@@ -107,7 +107,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index 3d84cb8..a42595f 100644 (file)
@@ -101,7 +101,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = -g
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
@@ -233,6 +233,7 @@ target_vendor = @target_vendor@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 INCLUDES = -I$(top_srcdir)/include
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 INCLUDES = -I$(top_srcdir)/include
+AM_CFLAGS = -g
 EXTRA_DIST = chrono.xml test_rl test_sg_32 test_sg_64
 @GRAS_ARCH_32_BITS_FALSE@TESTS = test_sg_64 test_rl
 @GRAS_ARCH_32_BITS_TRUE@TESTS = test_sg_32 test_rl
 EXTRA_DIST = chrono.xml test_rl test_sg_32 test_sg_64
 @GRAS_ARCH_32_BITS_FALSE@TESTS = test_sg_64 test_rl
 @GRAS_ARCH_32_BITS_TRUE@TESTS = test_sg_32 test_rl
index 292a667..9b14e49 100644 (file)
@@ -108,7 +108,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index 75f9cb1..25e3fd3 100644 (file)
@@ -104,7 +104,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index c721821..594bda3 100644 (file)
@@ -108,7 +108,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index 1fd2a7a..30dd457 100644 (file)
@@ -90,7 +90,7 @@ int server (int argc,char *argv[]) {
   globals->endcondition=0;
 
   /* 6. Wait up to 10 minutes for an incomming message to handle */
   globals->endcondition=0;
 
   /* 6. Wait up to 10 minutes for an incomming message to handle */
-  gras_msg_handle(60.0);
+  gras_msg_handle(10.0);
    
   /* 7. Housekeeping */
   if (!globals->endcondition)
    
   /* 7. Housekeeping */
   if (!globals->endcondition)
index bc68b4a..87237bc 100644 (file)
@@ -104,7 +104,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index 122d304..f300a1d 100644 (file)
@@ -107,7 +107,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index 67347df..94f7867 100644 (file)
@@ -108,7 +108,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index 74a295f..979d160 100644 (file)
@@ -101,7 +101,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index 8cace1b..dd88843 100644 (file)
@@ -99,7 +99,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = -g
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
@@ -231,6 +231,7 @@ target_vendor = @target_vendor@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 INCLUDES = -I$(top_srcdir)/include
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 INCLUDES = -I$(top_srcdir)/include
+AM_CFLAGS = -g
 EXTRA_DIST = $(NAME).xml $(TESTS) test_rl test_sg_32 test_sg_64
 @GRAS_ARCH_32_BITS_FALSE@TESTS = test_sg_64 test_rl
 @GRAS_ARCH_32_BITS_TRUE@TESTS = test_sg_32 test_rl
 EXTRA_DIST = $(NAME).xml $(TESTS) test_rl test_sg_32 test_sg_64
 @GRAS_ARCH_32_BITS_FALSE@TESTS = test_sg_64 test_rl
 @GRAS_ARCH_32_BITS_TRUE@TESTS = test_sg_32 test_rl
index 49e448d..b7568b4 100644 (file)
@@ -72,7 +72,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index 1eea679..376446f 100644 (file)
@@ -65,7 +65,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index b08a27e..034b6cc 100644 (file)
@@ -65,7 +65,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index 12d719a..fba85c6 100644 (file)
@@ -65,7 +65,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index 5145d9a..0e45e5d 100644 (file)
@@ -65,7 +65,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index 4445f03..fe21038 100644 (file)
@@ -114,7 +114,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = -g
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
@@ -246,6 +246,7 @@ target_vendor = @target_vendor@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 INCLUDES = -I$(top_srcdir)/include
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 INCLUDES = -I$(top_srcdir)/include
+AM_CFLAGS = -g
 EXTRA_DIST = msg_platform.xml small_platform.xml \
        sendrecv/platform_sendrecv.xml \
        sendrecv/deployment_sendrecv.xml \
 EXTRA_DIST = msg_platform.xml small_platform.xml \
        sendrecv/platform_sendrecv.xml \
        sendrecv/deployment_sendrecv.xml \
index 8d0ac9d..155b684 100644 (file)
@@ -78,7 +78,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = -g
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
@@ -210,6 +210,7 @@ target_vendor = @target_vendor@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 INCLUDES = -I$(top_srcdir)/include
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 INCLUDES = -I$(top_srcdir)/include
+AM_CFLAGS = -g
 EXTRA_DIST = small_platform.xml
 CLEANFILES = sd_test.trace
 TESTS = test_simdag
 EXTRA_DIST = small_platform.xml
 CLEANFILES = sd_test.trace
 TESTS = test_simdag
index 33ac44b..6cd2a07 100644 (file)
@@ -74,7 +74,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index 20177f7..b0400d9 100644 (file)
@@ -237,9 +237,11 @@ libsmpi_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
        $(libsmpi_la_LDFLAGS) $(LDFLAGS) -o $@
 PROGRAMS = $(noinst_PROGRAMS)
        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
        $(libsmpi_la_LDFLAGS) $(LDFLAGS) -o $@
 PROGRAMS = $(noinst_PROGRAMS)
-am__testall_SOURCES_DIST = ./cunit_unit.c ./ex_unit.c ./dynar_unit.c \
-       ./dict_unit.c ./set_unit.c ./swag_unit.c ./xbt_str_unit.c \
-       ./config_unit.c simgrid_units_main.c
+am__testall_SOURCES_DIST = @builddir@/cunit_unit.c \
+       @builddir@/ex_unit.c @builddir@/dynar_unit.c \
+       @builddir@/dict_unit.c @builddir@/set_unit.c \
+       @builddir@/swag_unit.c @builddir@/xbt_str_unit.c \
+       @builddir@/config_unit.c @builddir@/simgrid_units_main.c
 @GRAMINE_MODE_FALSE@am__objects_21 = cunit_unit.$(OBJEXT) \
 @GRAMINE_MODE_FALSE@   ex_unit.$(OBJEXT) dynar_unit.$(OBJEXT) \
 @GRAMINE_MODE_FALSE@   dict_unit.$(OBJEXT) set_unit.$(OBJEXT) \
 @GRAMINE_MODE_FALSE@am__objects_21 = cunit_unit.$(OBJEXT) \
 @GRAMINE_MODE_FALSE@   ex_unit.$(OBJEXT) dynar_unit.$(OBJEXT) \
 @GRAMINE_MODE_FALSE@   dict_unit.$(OBJEXT) set_unit.$(OBJEXT) \
@@ -660,17 +662,17 @@ libsmpi_la_LDFLAGS = $(VERSION_INFO) @LD_DYNAMIC_FLAGS@ -lm
 @GRAMINE_MODE_FALSE@       xbt/xbt_str.c                      \
 @GRAMINE_MODE_FALSE@            xbt/config.c 
 
 @GRAMINE_MODE_FALSE@       xbt/xbt_str.c                      \
 @GRAMINE_MODE_FALSE@            xbt/config.c 
 
-@GRAMINE_MODE_FALSE@TEST_UNITS = ./cunit_unit.c ./ex_unit.c         \
-@GRAMINE_MODE_FALSE@            ./dynar_unit.c ./dict_unit.c ./set_unit.c ./swag_unit.c \
-@GRAMINE_MODE_FALSE@       ./xbt_str_unit.c \
-@GRAMINE_MODE_FALSE@            ./config_unit.c 
+@GRAMINE_MODE_FALSE@TEST_UNITS = @builddir@/cunit_unit.c @builddir@/ex_unit.c         \
+@GRAMINE_MODE_FALSE@            @builddir@/dynar_unit.c @builddir@/dict_unit.c @builddir@/set_unit.c @builddir@/swag_unit.c \
+@GRAMINE_MODE_FALSE@       @builddir@/xbt_str_unit.c \
+@GRAMINE_MODE_FALSE@            @builddir@/config_unit.c 
 
 
+@GRAMINE_MODE_FALSE@CLEANFILES = $(TEST_UNITS)
 @GRAMINE_MODE_FALSE@BUILT_SOURCES = ../include/surf/surfxml.h surf/surfxml.c \
 @GRAMINE_MODE_FALSE@              ../include/xbt/graphxml.h xbt/graphxml.c \
 @GRAMINE_MODE_FALSE@BUILT_SOURCES = ../include/surf/surfxml.h surf/surfxml.c \
 @GRAMINE_MODE_FALSE@              ../include/xbt/graphxml.h xbt/graphxml.c \
-@GRAMINE_MODE_FALSE@              gras/DataDesc/ddt_parse.yy.c \
-@GRAMINE_MODE_FALSE@              $(TEST_UNITS) simgrid_units_main.c
+@GRAMINE_MODE_FALSE@              gras/DataDesc/ddt_parse.yy.c 
 
 
-@GRAMINE_MODE_FALSE@testall_SOURCES = $(TEST_UNITS) simgrid_units_main.c
+@GRAMINE_MODE_FALSE@testall_SOURCES = $(TEST_UNITS) @builddir@/simgrid_units_main.c
 @GRAMINE_MODE_FALSE@testall_LDADD = libgras.la
 @GRAMINE_MODE_FALSE@TESTS_ENVIRONMENT = $(SG_TEST_EXENV)
 all: $(BUILT_SOURCES) gras_config.h
 @GRAMINE_MODE_FALSE@testall_LDADD = libgras.la
 @GRAMINE_MODE_FALSE@TESTS_ENVIRONMENT = $(SG_TEST_EXENV)
 all: $(BUILT_SOURCES) gras_config.h
@@ -1716,117 +1718,131 @@ smpi_mpi.lo: smpi/smpi_mpi.c
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@  $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o smpi_mpi.lo `test -f 'smpi/smpi_mpi.c' || echo '$(srcdir)/'`smpi/smpi_mpi.c
 
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@  $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o smpi_mpi.lo `test -f 'smpi/smpi_mpi.c' || echo '$(srcdir)/'`smpi/smpi_mpi.c
 
-cunit_unit.o: ./cunit_unit.c
-@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT cunit_unit.o -MD -MP -MF $(DEPDIR)/cunit_unit.Tpo -c -o cunit_unit.o `test -f './cunit_unit.c' || echo '$(srcdir)/'`./cunit_unit.c
+cunit_unit.o: @builddir@/cunit_unit.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT cunit_unit.o -MD -MP -MF $(DEPDIR)/cunit_unit.Tpo -c -o cunit_unit.o `test -f '@builddir@/cunit_unit.c' || echo '$(srcdir)/'`@builddir@/cunit_unit.c
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/cunit_unit.Tpo $(DEPDIR)/cunit_unit.Po
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/cunit_unit.Tpo $(DEPDIR)/cunit_unit.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='./cunit_unit.c' object='cunit_unit.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/cunit_unit.c' object='cunit_unit.o' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o cunit_unit.o `test -f './cunit_unit.c' || echo '$(srcdir)/'`./cunit_unit.c
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o cunit_unit.o `test -f '@builddir@/cunit_unit.c' || echo '$(srcdir)/'`@builddir@/cunit_unit.c
 
 
-cunit_unit.obj: ./cunit_unit.c
-@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT cunit_unit.obj -MD -MP -MF $(DEPDIR)/cunit_unit.Tpo -c -o cunit_unit.obj `if test -f './cunit_unit.c'; then $(CYGPATH_W) './cunit_unit.c'; else $(CYGPATH_W) '$(srcdir)/./cunit_unit.c'; fi`
+cunit_unit.obj: @builddir@/cunit_unit.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT cunit_unit.obj -MD -MP -MF $(DEPDIR)/cunit_unit.Tpo -c -o cunit_unit.obj `if test -f '@builddir@/cunit_unit.c'; then $(CYGPATH_W) '@builddir@/cunit_unit.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/cunit_unit.c'; fi`
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/cunit_unit.Tpo $(DEPDIR)/cunit_unit.Po
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/cunit_unit.Tpo $(DEPDIR)/cunit_unit.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='./cunit_unit.c' object='cunit_unit.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/cunit_unit.c' object='cunit_unit.obj' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o cunit_unit.obj `if test -f './cunit_unit.c'; then $(CYGPATH_W) './cunit_unit.c'; else $(CYGPATH_W) '$(srcdir)/./cunit_unit.c'; fi`
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o cunit_unit.obj `if test -f '@builddir@/cunit_unit.c'; then $(CYGPATH_W) '@builddir@/cunit_unit.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/cunit_unit.c'; fi`
 
 
-ex_unit.o: ./ex_unit.c
-@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT ex_unit.o -MD -MP -MF $(DEPDIR)/ex_unit.Tpo -c -o ex_unit.o `test -f './ex_unit.c' || echo '$(srcdir)/'`./ex_unit.c
+ex_unit.o: @builddir@/ex_unit.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT ex_unit.o -MD -MP -MF $(DEPDIR)/ex_unit.Tpo -c -o ex_unit.o `test -f '@builddir@/ex_unit.c' || echo '$(srcdir)/'`@builddir@/ex_unit.c
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/ex_unit.Tpo $(DEPDIR)/ex_unit.Po
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/ex_unit.Tpo $(DEPDIR)/ex_unit.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='./ex_unit.c' object='ex_unit.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/ex_unit.c' object='ex_unit.o' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o ex_unit.o `test -f './ex_unit.c' || echo '$(srcdir)/'`./ex_unit.c
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o ex_unit.o `test -f '@builddir@/ex_unit.c' || echo '$(srcdir)/'`@builddir@/ex_unit.c
 
 
-ex_unit.obj: ./ex_unit.c
-@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT ex_unit.obj -MD -MP -MF $(DEPDIR)/ex_unit.Tpo -c -o ex_unit.obj `if test -f './ex_unit.c'; then $(CYGPATH_W) './ex_unit.c'; else $(CYGPATH_W) '$(srcdir)/./ex_unit.c'; fi`
+ex_unit.obj: @builddir@/ex_unit.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT ex_unit.obj -MD -MP -MF $(DEPDIR)/ex_unit.Tpo -c -o ex_unit.obj `if test -f '@builddir@/ex_unit.c'; then $(CYGPATH_W) '@builddir@/ex_unit.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/ex_unit.c'; fi`
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/ex_unit.Tpo $(DEPDIR)/ex_unit.Po
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/ex_unit.Tpo $(DEPDIR)/ex_unit.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='./ex_unit.c' object='ex_unit.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/ex_unit.c' object='ex_unit.obj' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o ex_unit.obj `if test -f './ex_unit.c'; then $(CYGPATH_W) './ex_unit.c'; else $(CYGPATH_W) '$(srcdir)/./ex_unit.c'; fi`
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o ex_unit.obj `if test -f '@builddir@/ex_unit.c'; then $(CYGPATH_W) '@builddir@/ex_unit.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/ex_unit.c'; fi`
 
 
-dynar_unit.o: ./dynar_unit.c
-@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT dynar_unit.o -MD -MP -MF $(DEPDIR)/dynar_unit.Tpo -c -o dynar_unit.o `test -f './dynar_unit.c' || echo '$(srcdir)/'`./dynar_unit.c
+dynar_unit.o: @builddir@/dynar_unit.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT dynar_unit.o -MD -MP -MF $(DEPDIR)/dynar_unit.Tpo -c -o dynar_unit.o `test -f '@builddir@/dynar_unit.c' || echo '$(srcdir)/'`@builddir@/dynar_unit.c
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/dynar_unit.Tpo $(DEPDIR)/dynar_unit.Po
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/dynar_unit.Tpo $(DEPDIR)/dynar_unit.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='./dynar_unit.c' object='dynar_unit.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/dynar_unit.c' object='dynar_unit.o' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o dynar_unit.o `test -f './dynar_unit.c' || echo '$(srcdir)/'`./dynar_unit.c
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o dynar_unit.o `test -f '@builddir@/dynar_unit.c' || echo '$(srcdir)/'`@builddir@/dynar_unit.c
 
 
-dynar_unit.obj: ./dynar_unit.c
-@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT dynar_unit.obj -MD -MP -MF $(DEPDIR)/dynar_unit.Tpo -c -o dynar_unit.obj `if test -f './dynar_unit.c'; then $(CYGPATH_W) './dynar_unit.c'; else $(CYGPATH_W) '$(srcdir)/./dynar_unit.c'; fi`
+dynar_unit.obj: @builddir@/dynar_unit.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT dynar_unit.obj -MD -MP -MF $(DEPDIR)/dynar_unit.Tpo -c -o dynar_unit.obj `if test -f '@builddir@/dynar_unit.c'; then $(CYGPATH_W) '@builddir@/dynar_unit.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/dynar_unit.c'; fi`
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/dynar_unit.Tpo $(DEPDIR)/dynar_unit.Po
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/dynar_unit.Tpo $(DEPDIR)/dynar_unit.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='./dynar_unit.c' object='dynar_unit.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/dynar_unit.c' object='dynar_unit.obj' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o dynar_unit.obj `if test -f './dynar_unit.c'; then $(CYGPATH_W) './dynar_unit.c'; else $(CYGPATH_W) '$(srcdir)/./dynar_unit.c'; fi`
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o dynar_unit.obj `if test -f '@builddir@/dynar_unit.c'; then $(CYGPATH_W) '@builddir@/dynar_unit.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/dynar_unit.c'; fi`
 
 
-dict_unit.o: ./dict_unit.c
-@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT dict_unit.o -MD -MP -MF $(DEPDIR)/dict_unit.Tpo -c -o dict_unit.o `test -f './dict_unit.c' || echo '$(srcdir)/'`./dict_unit.c
+dict_unit.o: @builddir@/dict_unit.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT dict_unit.o -MD -MP -MF $(DEPDIR)/dict_unit.Tpo -c -o dict_unit.o `test -f '@builddir@/dict_unit.c' || echo '$(srcdir)/'`@builddir@/dict_unit.c
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/dict_unit.Tpo $(DEPDIR)/dict_unit.Po
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/dict_unit.Tpo $(DEPDIR)/dict_unit.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='./dict_unit.c' object='dict_unit.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/dict_unit.c' object='dict_unit.o' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o dict_unit.o `test -f './dict_unit.c' || echo '$(srcdir)/'`./dict_unit.c
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o dict_unit.o `test -f '@builddir@/dict_unit.c' || echo '$(srcdir)/'`@builddir@/dict_unit.c
 
 
-dict_unit.obj: ./dict_unit.c
-@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT dict_unit.obj -MD -MP -MF $(DEPDIR)/dict_unit.Tpo -c -o dict_unit.obj `if test -f './dict_unit.c'; then $(CYGPATH_W) './dict_unit.c'; else $(CYGPATH_W) '$(srcdir)/./dict_unit.c'; fi`
+dict_unit.obj: @builddir@/dict_unit.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT dict_unit.obj -MD -MP -MF $(DEPDIR)/dict_unit.Tpo -c -o dict_unit.obj `if test -f '@builddir@/dict_unit.c'; then $(CYGPATH_W) '@builddir@/dict_unit.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/dict_unit.c'; fi`
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/dict_unit.Tpo $(DEPDIR)/dict_unit.Po
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/dict_unit.Tpo $(DEPDIR)/dict_unit.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='./dict_unit.c' object='dict_unit.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/dict_unit.c' object='dict_unit.obj' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o dict_unit.obj `if test -f './dict_unit.c'; then $(CYGPATH_W) './dict_unit.c'; else $(CYGPATH_W) '$(srcdir)/./dict_unit.c'; fi`
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o dict_unit.obj `if test -f '@builddir@/dict_unit.c'; then $(CYGPATH_W) '@builddir@/dict_unit.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/dict_unit.c'; fi`
 
 
-set_unit.o: ./set_unit.c
-@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT set_unit.o -MD -MP -MF $(DEPDIR)/set_unit.Tpo -c -o set_unit.o `test -f './set_unit.c' || echo '$(srcdir)/'`./set_unit.c
+set_unit.o: @builddir@/set_unit.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT set_unit.o -MD -MP -MF $(DEPDIR)/set_unit.Tpo -c -o set_unit.o `test -f '@builddir@/set_unit.c' || echo '$(srcdir)/'`@builddir@/set_unit.c
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/set_unit.Tpo $(DEPDIR)/set_unit.Po
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/set_unit.Tpo $(DEPDIR)/set_unit.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='./set_unit.c' object='set_unit.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/set_unit.c' object='set_unit.o' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o set_unit.o `test -f './set_unit.c' || echo '$(srcdir)/'`./set_unit.c
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o set_unit.o `test -f '@builddir@/set_unit.c' || echo '$(srcdir)/'`@builddir@/set_unit.c
 
 
-set_unit.obj: ./set_unit.c
-@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT set_unit.obj -MD -MP -MF $(DEPDIR)/set_unit.Tpo -c -o set_unit.obj `if test -f './set_unit.c'; then $(CYGPATH_W) './set_unit.c'; else $(CYGPATH_W) '$(srcdir)/./set_unit.c'; fi`
+set_unit.obj: @builddir@/set_unit.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT set_unit.obj -MD -MP -MF $(DEPDIR)/set_unit.Tpo -c -o set_unit.obj `if test -f '@builddir@/set_unit.c'; then $(CYGPATH_W) '@builddir@/set_unit.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/set_unit.c'; fi`
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/set_unit.Tpo $(DEPDIR)/set_unit.Po
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/set_unit.Tpo $(DEPDIR)/set_unit.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='./set_unit.c' object='set_unit.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/set_unit.c' object='set_unit.obj' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o set_unit.obj `if test -f './set_unit.c'; then $(CYGPATH_W) './set_unit.c'; else $(CYGPATH_W) '$(srcdir)/./set_unit.c'; fi`
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o set_unit.obj `if test -f '@builddir@/set_unit.c'; then $(CYGPATH_W) '@builddir@/set_unit.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/set_unit.c'; fi`
 
 
-swag_unit.o: ./swag_unit.c
-@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT swag_unit.o -MD -MP -MF $(DEPDIR)/swag_unit.Tpo -c -o swag_unit.o `test -f './swag_unit.c' || echo '$(srcdir)/'`./swag_unit.c
+swag_unit.o: @builddir@/swag_unit.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT swag_unit.o -MD -MP -MF $(DEPDIR)/swag_unit.Tpo -c -o swag_unit.o `test -f '@builddir@/swag_unit.c' || echo '$(srcdir)/'`@builddir@/swag_unit.c
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/swag_unit.Tpo $(DEPDIR)/swag_unit.Po
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/swag_unit.Tpo $(DEPDIR)/swag_unit.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='./swag_unit.c' object='swag_unit.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/swag_unit.c' object='swag_unit.o' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o swag_unit.o `test -f './swag_unit.c' || echo '$(srcdir)/'`./swag_unit.c
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o swag_unit.o `test -f '@builddir@/swag_unit.c' || echo '$(srcdir)/'`@builddir@/swag_unit.c
 
 
-swag_unit.obj: ./swag_unit.c
-@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT swag_unit.obj -MD -MP -MF $(DEPDIR)/swag_unit.Tpo -c -o swag_unit.obj `if test -f './swag_unit.c'; then $(CYGPATH_W) './swag_unit.c'; else $(CYGPATH_W) '$(srcdir)/./swag_unit.c'; fi`
+swag_unit.obj: @builddir@/swag_unit.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT swag_unit.obj -MD -MP -MF $(DEPDIR)/swag_unit.Tpo -c -o swag_unit.obj `if test -f '@builddir@/swag_unit.c'; then $(CYGPATH_W) '@builddir@/swag_unit.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/swag_unit.c'; fi`
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/swag_unit.Tpo $(DEPDIR)/swag_unit.Po
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/swag_unit.Tpo $(DEPDIR)/swag_unit.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='./swag_unit.c' object='swag_unit.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/swag_unit.c' object='swag_unit.obj' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o swag_unit.obj `if test -f './swag_unit.c'; then $(CYGPATH_W) './swag_unit.c'; else $(CYGPATH_W) '$(srcdir)/./swag_unit.c'; fi`
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o swag_unit.obj `if test -f '@builddir@/swag_unit.c'; then $(CYGPATH_W) '@builddir@/swag_unit.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/swag_unit.c'; fi`
 
 
-xbt_str_unit.o: ./xbt_str_unit.c
-@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT xbt_str_unit.o -MD -MP -MF $(DEPDIR)/xbt_str_unit.Tpo -c -o xbt_str_unit.o `test -f './xbt_str_unit.c' || echo '$(srcdir)/'`./xbt_str_unit.c
+xbt_str_unit.o: @builddir@/xbt_str_unit.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT xbt_str_unit.o -MD -MP -MF $(DEPDIR)/xbt_str_unit.Tpo -c -o xbt_str_unit.o `test -f '@builddir@/xbt_str_unit.c' || echo '$(srcdir)/'`@builddir@/xbt_str_unit.c
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/xbt_str_unit.Tpo $(DEPDIR)/xbt_str_unit.Po
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/xbt_str_unit.Tpo $(DEPDIR)/xbt_str_unit.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='./xbt_str_unit.c' object='xbt_str_unit.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/xbt_str_unit.c' object='xbt_str_unit.o' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o xbt_str_unit.o `test -f './xbt_str_unit.c' || echo '$(srcdir)/'`./xbt_str_unit.c
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o xbt_str_unit.o `test -f '@builddir@/xbt_str_unit.c' || echo '$(srcdir)/'`@builddir@/xbt_str_unit.c
 
 
-xbt_str_unit.obj: ./xbt_str_unit.c
-@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT xbt_str_unit.obj -MD -MP -MF $(DEPDIR)/xbt_str_unit.Tpo -c -o xbt_str_unit.obj `if test -f './xbt_str_unit.c'; then $(CYGPATH_W) './xbt_str_unit.c'; else $(CYGPATH_W) '$(srcdir)/./xbt_str_unit.c'; fi`
+xbt_str_unit.obj: @builddir@/xbt_str_unit.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT xbt_str_unit.obj -MD -MP -MF $(DEPDIR)/xbt_str_unit.Tpo -c -o xbt_str_unit.obj `if test -f '@builddir@/xbt_str_unit.c'; then $(CYGPATH_W) '@builddir@/xbt_str_unit.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/xbt_str_unit.c'; fi`
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/xbt_str_unit.Tpo $(DEPDIR)/xbt_str_unit.Po
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/xbt_str_unit.Tpo $(DEPDIR)/xbt_str_unit.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='./xbt_str_unit.c' object='xbt_str_unit.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/xbt_str_unit.c' object='xbt_str_unit.obj' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o xbt_str_unit.obj `if test -f './xbt_str_unit.c'; then $(CYGPATH_W) './xbt_str_unit.c'; else $(CYGPATH_W) '$(srcdir)/./xbt_str_unit.c'; fi`
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o xbt_str_unit.obj `if test -f '@builddir@/xbt_str_unit.c'; then $(CYGPATH_W) '@builddir@/xbt_str_unit.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/xbt_str_unit.c'; fi`
 
 
-config_unit.o: ./config_unit.c
-@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT config_unit.o -MD -MP -MF $(DEPDIR)/config_unit.Tpo -c -o config_unit.o `test -f './config_unit.c' || echo '$(srcdir)/'`./config_unit.c
+config_unit.o: @builddir@/config_unit.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT config_unit.o -MD -MP -MF $(DEPDIR)/config_unit.Tpo -c -o config_unit.o `test -f '@builddir@/config_unit.c' || echo '$(srcdir)/'`@builddir@/config_unit.c
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/config_unit.Tpo $(DEPDIR)/config_unit.Po
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/config_unit.Tpo $(DEPDIR)/config_unit.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='./config_unit.c' object='config_unit.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/config_unit.c' object='config_unit.o' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o config_unit.o `test -f './config_unit.c' || echo '$(srcdir)/'`./config_unit.c
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o config_unit.o `test -f '@builddir@/config_unit.c' || echo '$(srcdir)/'`@builddir@/config_unit.c
 
 
-config_unit.obj: ./config_unit.c
-@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT config_unit.obj -MD -MP -MF $(DEPDIR)/config_unit.Tpo -c -o config_unit.obj `if test -f './config_unit.c'; then $(CYGPATH_W) './config_unit.c'; else $(CYGPATH_W) '$(srcdir)/./config_unit.c'; fi`
+config_unit.obj: @builddir@/config_unit.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT config_unit.obj -MD -MP -MF $(DEPDIR)/config_unit.Tpo -c -o config_unit.obj `if test -f '@builddir@/config_unit.c'; then $(CYGPATH_W) '@builddir@/config_unit.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/config_unit.c'; fi`
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/config_unit.Tpo $(DEPDIR)/config_unit.Po
 @am__fastdepCC_TRUE@   mv -f $(DEPDIR)/config_unit.Tpo $(DEPDIR)/config_unit.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='./config_unit.c' object='config_unit.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/config_unit.c' object='config_unit.obj' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o config_unit.obj `if test -f './config_unit.c'; then $(CYGPATH_W) './config_unit.c'; else $(CYGPATH_W) '$(srcdir)/./config_unit.c'; fi`
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o config_unit.obj `if test -f '@builddir@/config_unit.c'; then $(CYGPATH_W) '@builddir@/config_unit.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/config_unit.c'; fi`
+
+simgrid_units_main.o: @builddir@/simgrid_units_main.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT simgrid_units_main.o -MD -MP -MF $(DEPDIR)/simgrid_units_main.Tpo -c -o simgrid_units_main.o `test -f '@builddir@/simgrid_units_main.c' || echo '$(srcdir)/'`@builddir@/simgrid_units_main.c
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/simgrid_units_main.Tpo $(DEPDIR)/simgrid_units_main.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/simgrid_units_main.c' object='simgrid_units_main.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o simgrid_units_main.o `test -f '@builddir@/simgrid_units_main.c' || echo '$(srcdir)/'`@builddir@/simgrid_units_main.c
+
+simgrid_units_main.obj: @builddir@/simgrid_units_main.c
+@am__fastdepCC_TRUE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT simgrid_units_main.obj -MD -MP -MF $(DEPDIR)/simgrid_units_main.Tpo -c -o simgrid_units_main.obj `if test -f '@builddir@/simgrid_units_main.c'; then $(CYGPATH_W) '@builddir@/simgrid_units_main.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/simgrid_units_main.c'; fi`
+@am__fastdepCC_TRUE@   mv -f $(DEPDIR)/simgrid_units_main.Tpo $(DEPDIR)/simgrid_units_main.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='@builddir@/simgrid_units_main.c' object='simgrid_units_main.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@  $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o simgrid_units_main.obj `if test -f '@builddir@/simgrid_units_main.c'; then $(CYGPATH_W) '@builddir@/simgrid_units_main.c'; else $(CYGPATH_W) '$(srcdir)/@builddir@/simgrid_units_main.c'; fi`
 
 .cc.o:
 @am__fastdepCXX_TRUE@  $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
 
 .cc.o:
 @am__fastdepCXX_TRUE@  $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@@ -2067,6 +2083,7 @@ install-strip:
 mostlyclean-generic:
 
 clean-generic:
 mostlyclean-generic:
 
 clean-generic:
+       -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 
 distclean-generic:
        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 
 distclean-generic:
        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
@@ -2168,25 +2185,25 @@ uninstall-am: uninstall-jarDATA uninstall-libLTLIBRARIES
 @HAVE_JAVA_TRUE@       $(JAVAC) -sourcepath java -d .classes $(JMSG_JAVA_SRC)
 @HAVE_JAVA_TRUE@       $(JAR) cvf simgrid.jar -C .classes .;
 
 @HAVE_JAVA_TRUE@       $(JAVAC) -sourcepath java -d .classes $(JMSG_JAVA_SRC)
 @HAVE_JAVA_TRUE@       $(JAR) cvf simgrid.jar -C .classes .;
 
-@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@./cunit_unit.c: xbt/cunit.c
+@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@@builddir@/cunit_unit.c: xbt/cunit.c
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl $^
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl $^
-@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@./ex_unit.c: xbt/ex.c
+@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@@builddir@/ex_unit.c: xbt/ex.c
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl $^
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl $^
-@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@./xbt_str_unit.c: xbt/xbt_str.c
+@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@@builddir@/xbt_str_unit.c: xbt/xbt_str.c
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl $^
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl $^
-@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@./dynar_unit.c: xbt/dynar.c
+@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@@builddir@/dynar_unit.c: xbt/dynar.c
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl $^
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl $^
-@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@./dict_unit.c: xbt/dict.c
+@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@@builddir@/dict_unit.c: xbt/dict.c
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl $^
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl $^
-@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@./set_unit.c: xbt/set.c
+@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@@builddir@/set_unit.c: xbt/set.c
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl $^
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl $^
-@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@./swag_unit.c: xbt/swag.c
+@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@@builddir@/swag_unit.c: xbt/swag.c
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl $^
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl $^
-@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@./config_unit.c: xbt/config.c
+@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@@builddir@/config_unit.c: xbt/config.c
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl $^
 
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl $^
 
-@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@simgrid_units_main.c: $(TEST_UNITS)
-@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl xbt/cunit.c
+@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@@builddir@/simgrid_units_main.c: $(TEST_UNITS)
+@GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     @top_srcdir@/tools/sg_unit_extractor.pl @srcdir@/xbt/cunit.c
 
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@clean-units:
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     rm -f simgrid_units_main.c *_unit.c
 
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@clean-units:
 @GRAMINE_MODE_FALSE@@MAINTAINER_MODE_TRUE@     rm -f simgrid_units_main.c *_unit.c
index 7f12ced..550afad 100644 (file)
@@ -145,7 +145,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = -g
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
@@ -277,6 +277,7 @@ target_vendor = @target_vendor@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
+AM_CFLAGS = -g
 CLEANFILES = *~ test a.out *.o gras/datadesc_usage.out datadesc_usage.out\
   testgraph.xml testgraph.dot
 
 CLEANFILES = *~ test a.out *.o gras/datadesc_usage.out datadesc_usage.out\
   testgraph.xml testgraph.dot
 
index 85d403d..2dd70ce 100644 (file)
@@ -72,7 +72,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
index 9e183c4..84fa8a8 100644 (file)
@@ -83,7 +83,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = -g
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
@@ -214,6 +214,7 @@ target_os = @target_os@
 target_vendor = @target_vendor@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 target_vendor = @target_vendor@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
+AM_CFLAGS = -g
 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src/include -I$(top_srcdir)/src
 # skel_rewriter
 gras_stub_generator_SOURCES = stub_generator.c unix_stub_generator.c windows_stub_generator.c
 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src/include -I$(top_srcdir)/src
 # skel_rewriter
 gras_stub_generator_SOURCES = stub_generator.c unix_stub_generator.c windows_stub_generator.c
index 423788d..85e6057 100644 (file)
@@ -83,7 +83,7 @@ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
 ACLOCAL = @ACLOCAL@
 ADDR2LINE = @ADDR2LINE@
 AMTAR = @AMTAR@
-AM_CFLAGS = -g
+AM_CPPFLAGS = @AM_CPPFLAGS@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
 AR = @AR@
 AS = @AS@
 AUTOCONF = @AUTOCONF@
@@ -214,6 +214,7 @@ target_os = @target_os@
 target_vendor = @target_vendor@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 target_vendor = @target_vendor@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
+AM_CFLAGS = -g
 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src/include -I$(top_srcdir)/src
 tesh_SOURCES = run_context.c run_context.h tesh.c tesh.h buff.h buff.c signal.c
 tesh_LDADD = $(top_builddir)/src/libgras.la 
 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src/include -I$(top_srcdir)/src
 tesh_SOURCES = run_context.c run_context.h tesh.c tesh.h buff.h buff.c signal.c
 tesh_LDADD = $(top_builddir)/src/libgras.la